import os

file_write = open("pcm_samples.h", "w")
file_read = open("pcm.raw", "rb")

# put cursor to end to get file size
file_read.seek(0, os.SEEK_END)
size = int(file_read.tell() / 2)     # divide by two since one pcm_sample == 2 bytes

# put cursor back to beginning
file_read.seek(0)

file_write.write(f"#define PCM_SAMPLES_SIZE ({size})\n\n")
file_write.write("const int16_t pcm_samples[PCM_SAMPLES_SIZE] = \n{\n    ")
pcm_sample = file_read.read(2)

linebreak_count = 0

while pcm_sample:
    number = int.from_bytes(pcm_sample, byteorder='little', signed=True)

    file_write.write(f"{number}, ")
    linebreak_count = linebreak_count + 1
    if linebreak_count > 9:
        file_write.write("\n    ")
        linebreak_count = 0
    
    pcm_sample = file_read.read(2)

file_write.write("\n};\n")